{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.marleyos.programs.nix-output-monitor;
in {
  options.marleyos.programs.nix-output-monitor.enable =
    lib.mkEnableOption "nix-output-monitor";

  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      nix-output-monitor
    ];
  };
}
